package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2020.07.13
 **/
public enum ExamRoomTeaherTypeEnum implements BaseEnum<String, ExamRoomTeaherTypeEnum> {

    MAIN("MAIN", "主考"),
    ASSISTANT("ASSISTANT", "监考");

    private String code;

    private String msg;

    ExamRoomTeaherTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }}
